package main

import (
	"log"
	"os"

	"github.com/Masterminds/semver"
	"github.com/volker-raschek/flucky/cli"
)

var (
	version string
)

func main() {
	sversion, err := semver.NewVersion(version)
	if err != nil {
		log.Printf("The sematic versioning is invalid: %v", version)
		os.Exit(1)
	}

	cli.Execute(sversion)
}
